#!/bin/bash

## per maggiori informazioni sullo script color2gray consultare questa pagina:
## http://www.fmwconcepts.com/imagemagick/3Dcover/index.php

_file="${1}"

# elimino eventuali spazi vuoti nel nome del file
# spazi vuoti verranno rimpiazzati con underscore (_)
_newName=`echo $_file | sed "s/ /_/g"`
mv "$_file" "$_newName"

_directory=$(dirname "$_newName")
_filename=$(basename "$_newName")

# si possono applicare anche altre regolazioni sostituendo la stringa -s "20%" -a 25 -m ground -u 50 -p 6 -l 1.5 -F 100,50
# a seconda delle preferenze. vedere elenco completo alla pagina:
# http://www.fmwconcepts.com/imagemagick/3Dcover/index.php

3Dcover -s "20%" -a 25 -m ground -u 50 -p 6 -l 1.5 -F 100,50 ${_filename} 3D_cover_${_filename}
