#!/bin/bash

_file="${1}"

# elimino eventuali spazi vuoti nel nome del file
# spazi vuoti verranno rimpiazzati con underscore (_)
_newName=`echo $_file | sed "s/ /_/g"`
mv "$_file" "$_newName"

_directory=$(dirname "$_newName")
_filename=$(basename "$_newName")
_textFilename=$(basename -s .pdf "$_newName")


pdftotext -layout $_newName ${_directory}/${_textFilename}.txt 
