#!/bin/bash

## per maggiori informazioni sullo script whitebalance consultare questa pagina:
## http://www.fmwconcepts.com/imagemagick/whitebalance/index.php

_file="${1}"

# elimino eventuali spazi vuoti nel nome del file
# spazi vuoti verranno rimpiazzati con underscore (_)
_newName=`echo $_file | sed "s/ /_/g"`
mv "$_file" "$_newName"

_directory=$(dirname "$_newName")
_filename=$(basename "$_newName")

# si possono applicare anche altre regolazioni sostituendo la stringa -c "rgb(200,220,210)"
# a seconda delle preferenze, per esempio con:

# -c "rgb(250,250,210)"
# 127,1

whitebalance -c "rgb(200,220,210)" ${_filename} new_${_filename}
