#!/bin/bash

## per maggiori informazioni sullo script color2gray consultare questa pagina:
## http://www.fmwconcepts.com/imagemagick/color2gray/index.php

_file="${1}"

# elimino eventuali spazi vuoti nel nome del file
# spazi vuoti verranno rimpiazzati con underscore (_)
_newName=`echo $_file | sed "s/ /_/g"`
mv "$_file" "$_newName"

_directory=$(dirname "$_newName")
_filename=$(basename "$_newName")

# si possono applicare anche altre regolazioni sostituendo la stringa 
# a seconda delle preferenze, per esempio con:

# -f colorspace -c bch
# -f colorspace -c lab
# -f colorspace -c rec601luma
# -f colorspace -c ohta
# -f colorspace -c sgray
# -f colorspace -c hsb
# -f colorspace -c hsl

# vedere elenco completo alla pagina
# http://www.fmwconcepts.com/imagemagick/color2gray/index.php

color2gray -f colorspace -c rec709luma ${_filename} bianconero_${_filename}
