#!/bin/bash

## per maggiori informazioni sullo script color2gray consultare questa pagina:
## http://www.fmwconcepts.com/imagemagick/colorcells/index.php

_file="${1}"

# elimino eventuali spazi vuoti nel nome del file
# spazi vuoti verranno rimpiazzati con underscore (_)
_newName=`echo $_file | sed "s/ /_/g"`
mv "$_file" "$_newName"

_directory=$(dirname "$_newName")
_filename=$(basename "$_newName")

# si possono applicare anche altre regolazioni sostituendo la stringa -b 10 -o 70
# a seconda delle preferenze. vedere elenco completo alla pagina:
# http://www.fmwconcepts.com/imagemagick/colorcells/index.php

colorcells -n 8,8 -d 70,70 -t 10 ${_filename} colorcells_02_${_filename}
