#!/bin/bash

## per maggiori informazioni sullo script consultare questa pagina:
## http://www.fmwconcepts.com/imagemagick/dualtonemap/index.php

_file="${1}"

# elimino eventuali spazi vuoti nel nome del file
# spazi vuoti verranno rimpiazzati con underscore (_)
_newName=`echo $_file | sed "s/ /_/g"`
mv "$_file" "$_newName"

_directory=$(dirname "$_newName")
_filename=$(basename "$_newName")

dualtonemap -m shadows -s 0,80 -c ${_filename} dualtonemap_${_filename}
